Bug 204842 - editors/emacs-devel: Update to latest (emacs-25 branch) revision
Summary: editors/emacs-devel: Update to latest (emacs-25 branch) revision
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ashish SHUKLA
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-27 07:58 UTC by Joseph Mingrone
Modified: 2015-11-30 00:27 UTC (History)
0 users

See Also:
ashish: maintainer-feedback+


Attachments
patch to update editors/emacs-devel to latest git revision on emacs-25 branch (416.04 KB, patch)
2015-11-27 07:58 UTC, Joseph Mingrone
no flags Details | Diff
poudriere testport log (415.61 KB, text/x-log)
2015-11-27 07:59 UTC, Joseph Mingrone
no flags Details
editors/emacs-devel: patch to update to latest git revision (emacs-25 branch) (417.02 KB, patch)
2015-11-27 19:31 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff
poudriere testport output (10amd64) (414.95 KB, text/plain)
2015-11-27 19:41 UTC, Joseph Mingrone
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2015-11-27 07:58:56 UTC
Created attachment 163570 [details]
patch to update editors/emacs-devel to latest git revision on emacs-25 branch

Since the Emacs repository is now mirrored on GitHub, I thought it would be easier to pull from there.  This way, when the port needs to be updated, it might be as simple as updating two or three lines (e.g., GH_TAGNAME, EMACS_REV) in the Makefile.  I also tried to simplify things: pkginstall.in and pkg-deinstall are no longer necessary and things are synced as much as possible with editors/emacs.  There are some cosmetic changes: I fixed some misalignments and sorted lists alphabetically.  Since these sort of cosmetic changes can be subjective, just let me know if they aren't welcomed and I can submit a new patch without them.
Comment 1 Joseph Mingrone freebsd_committer 2015-11-27 07:59:40 UTC
Created attachment 163571 [details]
poudriere testport log
Comment 2 Joseph Mingrone freebsd_committer 2015-11-27 19:31:27 UTC
Created attachment 163592 [details]
editors/emacs-devel: patch to update to latest git revision (emacs-25 branch)

I fixed a minor pkg-plist issue in the last patch and also did svn remove for deleted files this time.
Comment 3 Joseph Mingrone freebsd_committer 2015-11-27 19:41:57 UTC
Created attachment 163593 [details]
poudriere testport output (10amd64)
Comment 4 Ashish SHUKLA freebsd_committer 2015-11-28 02:26:01 UTC
Hi Joseph,

The changes look great to me, esp. the switching to GitHub mirror. I've tested it on my 10.2-RELEASE host, and seemed to have no issues. I'm testing on other platforms, and will provide feedback, and/or commit it.

Thanks!
Ashish
Comment 5 Joseph Mingrone freebsd_committer 2015-11-29 17:03:45 UTC
Hi Ashish,

Great!  Let me know if there is anything I can help test.

Joseph
Comment 6 commit-hook freebsd_committer 2015-11-30 00:25:08 UTC
A commit references this bug:

Author: ashish
Date: Mon Nov 30 00:25:00 UTC 2015
New revision: 402637
URL: https://svnweb.freebsd.org/changeset/ports/402637

Log:
  - Update to git revision af40b76
  - Switch to GitHub for MASTER_SITES
  - Remove USE_AUTOTOOLS, and move it to USES instead
  - Cosmetic changes to Makefile, and pkg-plist
  - Remove pkg-install/pkg-deinstall scripts, not needed anymore

  PR:		204842
  Submitted by:	Joseph Mingrone <jrm at ftfl.ca>

Changes:
  head/editors/emacs-devel/Makefile
  head/editors/emacs-devel/distinfo
  head/editors/emacs-devel/files/pkg-install.in
  head/editors/emacs-devel/pkg-deinstall
  head/editors/emacs-devel/pkg-plist
Comment 7 Ashish SHUKLA freebsd_committer 2015-11-30 00:27:36 UTC
Thanks so much. I've committed the port with some minor changes, as discussed on IRC.

Ashish